summaryrefslogtreecommitdiffstats
path: root/development/REDasm
diff options
context:
space:
mode:
author Christopher Luck2022-04-02 18:39:58 +0200
committer Willy Sudiarto Raharjo2022-04-09 10:45:40 +0200
commit96cc0ab4aaca4fb0ea824d0d21019cbd4fc8403b (patch)
tree524961f5706a26c30e16d0a0c2a58dfe3e0f8d5c /development/REDasm
parentb6f3538b9ed3799c079e142c58a62f7178578f74 (diff)
downloadslackbuilds-96cc0ab4aaca4fb0ea824d0d21019cbd4fc8403b.tar.gz
development/REDasm: Added (Cross Platform Dissassembler).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/REDasm')
-rw-r--r--development/REDasm/README1
-rw-r--r--development/REDasm/REDasm.SlackBuild116
-rw-r--r--development/REDasm/REDasm.info10
-rw-r--r--development/REDasm/doinst.sh64
-rw-r--r--development/REDasm/slack-desc19
5 files changed, 210 insertions, 0 deletions
diff --git a/development/REDasm/README b/development/REDasm/README
new file mode 100644
index 0000000000..25be18efe2
--- /dev/null
+++ b/development/REDasm/README
@@ -0,0 +1 @@
+REDasm is a cross platform disassembler with a modern codebase
diff --git a/development/REDasm/REDasm.SlackBuild b/development/REDasm/REDasm.SlackBuild
new file mode 100644
index 0000000000..8c0f9625d2
--- /dev/null
+++ b/development/REDasm/REDasm.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/bash
+
+# Slackware build script for REDasm
+
+# Copyright 2022 Christopher Luck Orlando, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=REDasm
+VERSION=${VERSION:-3.0.0.beta5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DKDDockWidgets_DOCS=ON \
+ -DCAPSTONE_SPARC_SUPPORT=ON \
+ -DCAPSTONE_PPC_SUPPORT=ON \
+ -DCAPSTONE_X86_SUPPORT=ON \
+ -DCAPSTONE_MIPS_SUPPORT=ON \
+ -DCAPSTONE_M68K_SUPPORT=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+install -Dm644 REDasm.desktop $PKG/usr/share/applications/REDasm.desktop
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README* \
+ CHANGELOG* COMPILE* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/REDasm/REDasm.info b/development/REDasm/REDasm.info
new file mode 100644
index 0000000000..65cf719f3b
--- /dev/null
+++ b/development/REDasm/REDasm.info
@@ -0,0 +1,10 @@
+PRGNAM="REDasm"
+VERSION="3.0.0.beta5"
+HOMEPAGE="https://redasm.io/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/kermitdafrog8/REDasm/releases/download/v3.0.0.beta5/REDasm-3.0.0.beta5.tar.gz"
+MD5SUM_x86_64="59b34f51bce714308f9cd150067183e4"
+REQUIRES=""
+MAINTAINER="Christopher Luck"
+EMAIL="kermitdafrog8@gmail.com"
diff --git a/development/REDasm/doinst.sh b/development/REDasm/doinst.sh
new file mode 100644
index 0000000000..a7c015b89b
--- /dev/null
+++ b/development/REDasm/doinst.sh
@@ -0,0 +1,64 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install blah.schemas
+preserve_perms etc/rc.d/rc.INIT.new
+config etc/configfile.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+# If other icon themes are installed, then add to/modify this as needed
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
+# If needed -- be sure to sed @LIBDIR@ inside the build script
+chroot . /usr/bin/gio-querymodules @LIBDIR@/gio/modules/ 1> /dev/null 2> /dev/null
+
+if [ -x /usr/bin/install-info ]; then
+ chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/blah.gz 2> /dev/null
+fi
+
diff --git a/development/REDasm/slack-desc b/development/REDasm/slack-desc
new file mode 100644
index 0000000000..5aab27e3a2
--- /dev/null
+++ b/development/REDasm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+REDasm: REDasm (Cross Platform Dissassembler)
+REDasm:
+REDasm: REDasm is a cross platform disassembler with a modern codebase useful
+REDasm: from the hobbyist to the professional reverse engineer. All features
+REDasm: are provided by LibREDasm which loads plugins developed in C, C++
+REDasm: and Python3 (you can also support new languages if you want!) and
+REDasm: an user friendly Qt frontend.
+REDasm:
+REDasm:
+REDasm:
+REDasm: Home: https://redasm.io/